# Generated by Django 4.1.9 on 2023-07-20 10:08

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("ims_installment", "0002_remove_is_active_from_subscription"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="installmentsubscription",
            name="status",
        ),
        migrations.AddField(
            model_name="installmentsubscription",
            name="payment_status",
            field=models.CharField(
                choices=[
                    ("du", "due"),
                    ("pa", "paid"),
                    ("ex", "extension"),
                    ("od", "overdue"),
                ],
                default="du",
                max_length=2,
            ),
        ),
        migrations.AddField(
            model_name="installmentsubscription",
            name="subscription_status",
            field=models.CharField(
                choices=[
                    ("ns", "not started"),
                    ("ac", "active"),
                    ("pu", "paused"),
                    ("ur", "unrecoverable"),
                    ("cl", "closed"),
                ],
                default="ns",
                max_length=2,
            ),
        ),
    ]
